自定义域名
GET https://zeusfishing.com/api/domains/
curl --request GET \
--url 'https://zeusfishing.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://zeusfishing.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 详情 | 描述 |
|---|---|---|
| search | 可选 字符串 | 搜索字符串。 |
| search_by | 可选 字符串 | 您按哪个字段搜索。允许的值为:host。 |
| is_enabled | 可选 布尔值 | |
| datetime_field | 可选 字符串 | 允许的值:datetime, last_datetime |
| datetime_start | 可选 字符串 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 可选 字符串 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 可选 字符串 | 按哪个字段对结果进行排序。允许的值为:domain_id, datetime, last_datetime, host。 |
| order_type | 可选 字符串 | 结果的排序方式。允许的值为:ASC表示升序,DESC表示降序。 |
| page | 可选 整数 | 您想要结果的页码。默认为1。 |
| results_per_page | 可选 整数 | 您希望每页有多少结果。允许的值为:10, 25, 50, 100, 250, 500, 1000。默认为25。 |
{
"data": [
{
"id": 1,
"visitor_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"website_id": 1,
"goals_conversions_ids": null,
"ip": "123.123.123.123",
"custom_parameters": {
"name": "John",
"website": "example.com"
},
"continent_code": "EU",
"country_code": "RO",
"city_name": "Bucharest",
"os_name": "OS X",
"os_version": "10.15.7",
"browser_name": "Chrome",
"browser_version": "140.0.0.0",
"browser_language": "en",
"browser_timezone": "UTC",
"device_type": "desktop",
"theme": "light",
"total_sessions": 10,
"last_event_id": 1,
"last_date": null,
"date": "2026-05-29 21:33:37"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://zeusfishing.com/api/domains?page=1",
"last": "https://zeusfishing.com/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://zeusfishing.com/api/domains?page=1"
}
}
GET https://zeusfishing.com/api/domains/{domain_id}
curl --request GET \
--url 'https://zeusfishing.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://zeusfishing.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"visitor_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"website_id": 1,
"goals_conversions_ids": null,
"ip": "123.123.123.123",
"custom_parameters": {
"name": "John",
"website": "example.com"
},
"continent_code": "EU",
"country_code": "RO",
"city_name": "Bucharest",
"os_name": "OS X",
"os_version": "10.15.7",
"browser_name": "Chrome",
"browser_version": "140.0.0.0",
"browser_language": "en",
"browser_timezone": "UTC",
"device_type": "desktop",
"theme": "light",
"total_sessions": 10,
"last_event_id": 1,
"last_date": null,
"date": "2026-05-29 21:33:37"
}
}
POST https://zeusfishing.com/api/domains
| 参数 | 详情 | 描述 |
|---|---|---|
| host | 必填 字符串 | - |
| custom_index_url | 可选 字符串 | - |
| custom_not_found_url | 可选 字符串 | - |
curl --request POST \
--url 'https://zeusfishing.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://zeusfishing.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1
}
}
POST https://zeusfishing.com/api/domains/{domain_id}
| 参数 | 详情 | 描述 |
|---|---|---|
| host | 可选 字符串 | - |
| custom_index_url | 可选 字符串 | - |
| custom_not_found_url | 可选 字符串 | - |
curl --request POST \
--url 'https://zeusfishing.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://zeusfishing.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1
}
}
DELETE https://zeusfishing.com/api/domains/{domain_id}
curl --request DELETE \
--url 'https://zeusfishing.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://zeusfishing.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \